Loading...
Searching...
No Matches
Ogre::SharedPtr< T > Class Template Reference
Core » General

`#include <OgreSharedPtr.h>`

Inheritance diagram for Ogre::SharedPtr< T >:
[legend]

## Public Member Functions

| SharedPtr ()
template<class Y>
| SharedPtr (const shared_ptr< Y > &r)
| SharedPtr (const SharedPtr &r)
template<class Y>
| SharedPtr (const SharedPtr< Y > &r)
| SharedPtr (std::nullptr_t)
template<class Y>
| SharedPtr (Y *ptr)
template<class Y, class Deleter>
| SharedPtr (Y *ptr, Deleter d)
void | bind (T *rep)
template<typename Y>
SharedPtr< Y > | dynamicCast () const
T * | getPointer () const
bool | isNull (void) const
| operator const shared_ptr< T > & ()
T * | operator-> () const
SharedPtr< T > & | operator= (const Ogre::SharedPtr< T > &rhs)
void | setNull ()
template<typename Y>
SharedPtr< Y > | staticCast () const
unsigned int | useCount () const

## Detailed Description

template<class T>
class Ogre::SharedPtr< T >

Deprecated
  for backwards compatibility only, rather use shared_ptr directly

## Constructor & Destructor Documentation

## SharedPtr() [1/7]

template<class T>

Ogre::SharedPtr< T >::SharedPtr | ( | std::nullptr_t |  | ) |

inline

## SharedPtr() [2/7]

template<class T>

Ogre::SharedPtr< T >::SharedPtr | ( |  | ) |

inline

## SharedPtr() [3/7]

template<class T>
template<class Y>

Ogre::SharedPtr< T >::SharedPtr | ( | Y * | ptr | ) |

inline explicit

## SharedPtr() [4/7]

template<class T>
template<class Y, class Deleter>

Ogre::SharedPtr< T >::SharedPtr | ( | Y * | ptr,
|  | Deleter | d )

inline

## SharedPtr() [5/7]

template<class T>

Ogre::SharedPtr< T >::SharedPtr | ( | const SharedPtr< T > & | r | ) |

inline

## SharedPtr() [6/7]

template<class T>
template<class Y>

Ogre::SharedPtr< T >::SharedPtr | ( | const SharedPtr< Y > & | r | ) |

inline

## SharedPtr() [7/7]

template<class T>
template<class Y>

Ogre::SharedPtr< T >::SharedPtr | ( | const shared_ptr< Y > & | r | ) |

inline

## Member Function Documentation

## operator const shared_ptr< T > &()

template<class T>

Ogre::SharedPtr< T >::operator const shared_ptr< T > & | ( |  | ) |

inline

## operator=()

template<class T>

SharedPtr< T > & Ogre::SharedPtr< T >::operator= | ( | const Ogre::SharedPtr< T > & | rhs | ) |

inline

## operator->()

template<class T>

T * Ogre::SharedPtr< T >::operator-> | ( |  | ) | const

inline

## staticCast()

template<class T>
template<typename Y>

SharedPtr< Y > Ogre::SharedPtr< T >::staticCast | ( |  | ) | const

inline

Deprecated
  use Ogre::static_pointer_cast instead

## dynamicCast()

template<class T>
template<typename Y>

SharedPtr< Y > Ogre::SharedPtr< T >::dynamicCast | ( |  | ) | const

inline

Deprecated
  use Ogre::dynamic_pointer_cast instead

## bind()

template<class T>

void Ogre::SharedPtr< T >::bind | ( | T * | rep | ) |

inline

Deprecated
  this api will be dropped. use reset(T*) instead

## useCount()

template<class T>

unsigned int Ogre::SharedPtr< T >::useCount | ( |  | ) | const

inline

Deprecated
  use use_count() instead

## getPointer()

template<class T>

T * Ogre::SharedPtr< T >::getPointer | ( |  | ) | const

inline

Deprecated
  use get() instead

## isNull()

template<class T>

bool Ogre::SharedPtr< T >::isNull | ( | void |  | ) | const

inline

Deprecated
  use SharedPtr::operator bool instead

## setNull()

template<class T>

void Ogre::SharedPtr< T >::setNull | ( |  | ) |

inline

Deprecated
  use reset() instead

The documentation for this class was generated from the following files:

- OgrePrerequisites.h
- OgreSharedPtr.h